Results 1 to 7 of 7

Thread: patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

  1. #1

    Exclamation patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

    good morning
    i try to upgrade from opensuse 13.2 to 42.1
    1. change the reposi.. to 42
    2. upgrade all packages
    3. restart
    the result
    1. the boot screen changed
    2. when i try to open update from yast or terminal it tell me :
    Code:
    patch:openSUSE-2015-855-1.noarch conflicts with NetworkManager-openvpn.i586 < 1.0.6-3.1 provided by NetworkManager-openvpn-0.9.10.0-2.1.4.i586
    patch:openSUSE-2015-732-1.noarch conflicts with aaa_base.i586 < 13.2+git20140911.61c1681-7.1 provided by aaa_base-13.2+git20140911.61c1681-3.1.i586
    patch:openSUSE-2015-828-1.noarch conflicts with cyradm.i586 < 2.4.18-3.1 provided by cyradm-2.4.18-2.10.1.i586
    patch:openSUSE-2015-846-1.noarch conflicts with dracut.i586 < 037-68.1 provided by dracut-037-17.30.1.i586
    patch:openSUSE-2015-714-1.noarch conflicts with gnome-keyring.i586 < 3.16.0-7.1 provided by gnome-keyring-3.14.0-1.1.i586
    patch:openSUSE-2015-762-1.noarch conflicts with gnome-session.i586 < 3.16.0-5.2 provided by gnome-session-3.14.0-1.4.i586
    patch:openSUSE-2015-713-1.noarch conflicts with gnome-software.i586 < 3.16.6-4.1 provided by gnome-software-3.14.7-12.3.i586
    patch:openSUSE-2015-780-1.noarch conflicts with grub2.i586 < 2.02~beta2-70.1 provided by grub2-2.02~beta2-20.10.1.i586
    patch:openSUSE-2015-716-1.noarch conflicts with gtk3-immodule-amharic.i586 < 3.16.7-5.1 provided by gtk3-immodule-amharic-3.14.15-21.1.i586
    patch:openSUSE-2015-720-1.noarch conflicts with ibus-libpinyin.i586 < 1.7.2git20150720-4.1 provided by ibus-libpinyin-1.6.92-2.1.4.i586
    patch:openSUSE-2015-736-1.noarch conflicts with java-1_7_0-openjdk.i586 < 1.7.0.91-22.1 provided by java-1_7_0-openjdk-1.7.0.91-13.1.i586
    patch:openSUSE-2015-782-1.noarch conflicts with kexec-tools.i586 < 2.0.5-14.1 provided by kexec-tools-2.0.5-9.1.7.i586
    patch:openSUSE-2015-763-1.noarch conflicts with kpartx.i586 < 0.5.0-50.1 provided by kpartx-0.5.0-14.5.1.i586
    patch:openSUSE-2015-861-1.noarch conflicts with libX11-6.i586 < 1.6.3-3.1 provided by libX11-6-1.6.2-5.1.2.i586
    patch:openSUSE-2015-698-1.noarch conflicts with libaudiofile1.i586 < 0.3.6-9.1 provided by libaudiofile1-0.3.6-6.3.1.i586
    patch:openSUSE-2015-727-1.noarch conflicts with libdcerpc-binding0.i586 < 4.2.4-6.3 provided by libdcerpc-binding0-4.1.21-18.1.i586
    patch:openSUSE-2015-876-1.noarch conflicts with libgudev-1_0-0.i586 < 210-86.1 provided by libgudev-1_0-0-210-25.16.1.i586
    patch:openSUSE-2015-789-1.noarch conflicts with libminiupnpc10.i586 < 1.9-6.1 provided by libminiupnpc10-1.9-2.3.1.i586
    patch:openSUSE-2015-889-1.noarch conflicts with libmysql56client18.i586 < 5.6.27-8.1 provided by libmysql56client18-5.6.26-2.9.1.i586
    patch:openSUSE-2015-752-1.noarch conflicts with libosinfo.i586 < 0.2.12-10.1 provided by libosinfo-0.2.11-2.1.4.i586
    patch:openSUSE-2015-853-1.noarch conflicts with libpeas-1_0-0.i586 < 1.14.0-5.1 provided by libpeas-1_0-0-1.12.1-1.2.i586
    patch:openSUSE-2015-764-1.noarch conflicts with libply-boot-client2.i586 < 0.9.0-8.1 provided by libply-boot-client2-0.9.0-1.1.i586
    patch:openSUSE-2015-798-1.noarch conflicts with libpolkit0.i586 < 0.113-9.1 provided by libpolkit0-0.113-3.11.1.i586
    patch:openSUSE-2015-811-1.noarch conflicts with libseccomp2.i586 < 2.1.1-5.1 provided by libseccomp2-2.1.1-2.1.3.i586
    patch:openSUSE-2015-820-1.noarch conflicts with libsndfile1.i586 < 1.0.25-24.1 provided by libsndfile1-1.0.25-19.7.1.i586
    patch:openSUSE-2015-835-1.noarch conflicts with libsnmp30.i586 < 5.7.3-4.1 provided by libsnmp30-5.7.3-3.1.i586
    patch:openSUSE-2015-805-1.noarch conflicts with libstorage-ruby.i586 < 2.25.35-3.1 provided by libstorage-ruby-2.25.18-3.1.i586
    patch:openSUSE-2015-733-1.noarch conflicts with libyaml-0-2.i586 < 0.1.6-5.1 provided by libyaml-0-2-0.1.6-2.4.1.i586
    patch:openSUSE-2015-767-1.noarch conflicts with ntp.i586 < 4.2.8p4-9.2 provided by ntp-4.2.6p5-25.12.1.i586
    patch:openSUSE-2015-817-1.noarch conflicts with os-prober.i586 < 1.61-15.1 provided by os-prober-1.61-12.2.2.i586
    patch:openSUSE-2015-734-1.noarch conflicts with permissions.i586 < 2015.09.28.1626-5.1 provided by permissions-2014.08.26.1452.1-4.1.i586
    patch:openSUSE-2015-711-1.noarch conflicts with polkit.i586 < 0.113-6.1 provided by polkit-0.113-3.11.1.i586
    patch:openSUSE-2015-735-1.noarch conflicts with shadow.i586 < 4.1.5.1-16.1 provided by shadow-4.1.5.1-13.1.2.i586
    patch:openSUSE-2015-687-1.noarch conflicts with sudo.i586 < 1.8.10p3-5.1 provided by sudo-1.8.10p3-2.7.1.i586
    patch:openSUSE-2015-866-1.noarch conflicts with xorg-x11-server.i586 < 7.6_1.17.2-9.1 provided by xorg-x11-server-7.6_1.16.1-22.1.i586
    patch:openSUSE-2015-783-1.noarch conflicts with xscreensaver-data-extra.i586 < 5.33-4.1 provided by xscreensaver-data-extra-5.29-2.4.3.i586
    patch:openSUSE-2015-829-1.noarch conflicts with yast2-bootloader.i586 < 3.1.161-3.1 provided by yast2-bootloader-3.1.101.1-8.1.i586
    patch:openSUSE-2015-858-1.noarch conflicts with yast2-storage.i586 < 3.1.71-2.1 provided by yast2-storage-3.1.50-4.1.i586
    nothing provides libgio-2_0-0 = 2.44.1 needed by gio-branding-openSUSE-42.1-2.1.noarch
    nothing provides yast2-storage >= 3.1.59 needed by autoyast2-installation-3.1.100-1.1.noarch
    what can i do
    1.deinstallation of every thing in the system
    2.do not install patch
    3.break the patch by ignoring some of its dependencies
    4.or what the solotion

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,744

    Default Re: patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

    You possibly have mixed repos. show

    zypper lr -d

    You probably have left one or more repos pointing to 13.2

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,143

    Default Re: patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

    And may I add that "upgrade the packages" is not more then just a loose way to express what you did. We need no loose talking, but real commands. In othet words, did you do
    Code:
    zypper dup
    or something else?
    Henk van Velden

  4. #4

    Default Re: patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

    Quote Originally Posted by hcvv View Post
    And may I add that "upgrade the packages" is not more then just a loose way to express what you did. We need no loose talking, but real commands. In othet words, did you do
    Code:
    zypper dup
    or something else?
    i did it before and whern i do that messages appears too

  5. #5

    Default Re: patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

    Quote Originally Posted by hcvv View Post
    And may I add that "upgrade the packages" is not more then just a loose way to express what you did. We need no loose talking, but real commands. In othet words, did you do
    Code:
    zypper dup
    or something else?
    i did it and it was the replay
    Code:
    zypper lr -d
    #  | Alias                                      | Name                                       | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                                               | Service
    ---+--------------------------------------------+--------------------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------------------------------------------------+--------
     1 | 42.1                                       | 42.1                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | ftp://download.nvidia.com/opensuse/leap/42.1/                                                                     |        
     2 | KDE_Unstable_Extra_openSUSE_Leap_42.1      | KDE_Unstable_Extra_openSUSE_Leap_42.1      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Unstable:/Extra/KDE_Unstable_Extra_openSUSE_Leap_42.1/             |        
     3 | KDE_Unstable_Frameworks_openSUSE_Leap_42.1 | KDE_Unstable_Frameworks_openSUSE_Leap_42.1 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Unstable:/Applications/KDE_Unstable_Frameworks_openSUSE_Leap_42.1/ |        
     4 | Zend                                       | Zend Server                                | No      | ----      | Yes     |   99     | rpm-md | http://repos.zend.com/zend-server/6.3/sles/ZendServer-i586                                                        |        
     5 | Zend_noarch                                | Zend Server - noarch                       | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://repos.zend.com/zend-server/6.3/sles/ZendServer-noarch                                                      |        
     6 | non-oss                                    | non-oss                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                                                            |        
     7 | non-oss-addon_42.1-0                       | non-oss-addon 42.1-0                       | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                                                 |        
     8 | non-oss-addon_42.1-0_1                     | non-oss-addon 42.1-0                       | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/leap/42.1/repo/non-oss/                                          |        
     9 | openSUSE_42.1-0                            | openSUSE 42.1-0                            | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                                     |        
    10 | openSUSE_42.1-0_1                          | openSUSE 42.1-0                            | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/                                              |        
    11 | openSUSE_42.1-0_2                          | openSUSE 42.1-0                            | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/                                               |        
    12 | openSUSE_Leap_42.1                         | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                                          |        
    13 | openSUSE_Leap_42.1_1                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Applications/openSUSE_Leap_42.1/                                   |        
    14 | openSUSE_Leap_42.1_10                      | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/science/openSUSE_Leap_42.1/                                             |        
    15 | openSUSE_Leap_42.1_11                      | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.1/                                     |        
    16 | openSUSE_Leap_42.1_2                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/                                    |        
    17 | openSUSE_Leap_42.1_3                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt55/openSUSE_Leap_42.1/                                           |        
    18 | openSUSE_Leap_42.1_4                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Unstable:/Frameworks/openSUSE_Leap_42.1/                           |                                                                                                                          
    19 | openSUSE_Leap_42.1_5                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/xfce/openSUSE_Leap_42.1/                                           |                                                                                                                          
    20 | openSUSE_Leap_42.1_6                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/M17N:/fonts/openSUSE_Leap_42.1/                                         |                                                                                                                          
    21 | openSUSE_Leap_42.1_7                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Java:/packages/openSUSE_Leap_42.1/                                      |        
    22 | openSUSE_Leap_42.1_8                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.1/                                                |        
    23 | openSUSE_Leap_42.1_9                       | openSUSE_Leap_42.1                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_42.1/                                             |        
    24 | oss                                        | oss                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                                                                |

  6. #6
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,744

    Default Re: patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

    When online upgrading you should only have the base os's repos active migrate the others after you have a stable system. I note you have 2 different framework repos active so you may have mixed packages

  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,283
    Blog Entries
    2

    Default Re: patch:openSUSE-2015-855-1.noarch conflicts ..... how to solve it

    Quote Originally Posted by gogalthorp View Post
    When online upgrading you should only have the base os's repos active migrate the others after you have a stable system. I note you have 2 different framework repos active so you may have mixed packages
    Agreed.

    Before doing anything else, you may want to purge your old repo caches. May not be necessary, but it might be a good idea. The following does this
    Code:
    zypper clean
    Although you could execute a refresh immediately, re-building your caches it's unnecessary. Running the commands below will automatically re-build your caches.

    I recommend first disabling everything unnecessary and running the upgrade again
    Code:
    zypper mr --disable 1 2 3 4 5 6 7 8 10 11 12 13 14 15 16 17 18 19 20 21 22 23
    then
    Code:
    zypper dup
    Reboot and verify your Network Manager problems should be resolved.

    Now, remove any i586 repos, because those are 32-bit
    Code:
    zypper rr 4
    You can now add your other repos back, either one or a few at a time or all of them if you feel lucky. You can either use YAST or...
    List your repos again
    Code:
    zypper lr
    Now, enable repos. Note similarity to previous command which disabled repos, the number(s) correspond with the new repo list you just displayed
    Code:
    zypper mr --enable number_or_numberlist
    After re-enabling at least one repo, update your system using "zypper up" (not zypper dup)
    Code:
    zypper up
    If you didn't re-enable all your repos immediately, repeat until they're all added back in.

    Good Luck,
    TSU

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •